Skip to main content
POST
/
global_ips
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const globalIP = await client.globalIPs.create();

console.log(globalIP.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
global_ip = client.global_ips.create()
print(global_ip.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
globalIP, err := client.GlobalIPs.New(context.TODO(), telnyx.GlobalIPNewParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", globalIP.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.globalips.GlobalIpCreateParams;
import com.telnyx.sdk.models.globalips.GlobalIpCreateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

GlobalIpCreateResponse globalIp = client.globalIps().create();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

global_ip = telnyx.global_ips.create

puts(global_ip)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$globalIP = $client->globalIPs->create(
description: 'test interface',
name: 'test interface',
ports: ['tcp' => 'bar', 'udp' => 'bar'],
);

var_dump($globalIP);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx global-ips create \
--api-key 'My API Key'
curl --request POST \
--url https://api.telnyx.com/v2/global_ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ports": {
"tcp": [
80,
8080
],
"udp": [
5000,
5050
]
},
"name": "test interface",
"description": "test interface"
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "global_ip",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "ip_address": "198.51.100.1",
    "ports": {
      "tcp": [
        80,
        8080
      ],
      "udp": [
        5000,
        5050
      ]
    },
    "name": "test interface",
    "description": "test interface"
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ports
object

A Global IP ports grouped by protocol code.

Example:
{ "tcp": [80, 8080], "udp": [5000, 5050] }
name
string

A user specified name for the address.

Example:

"test interface"

description
string

A user specified description for the address.

Example:

"test interface"

Response

Successful response

data
Global IP · object